package com.example.bo;


import org.eclipse.microprofile.openapi.annotations.media.Schema;

import java.time.LocalDate;

public class Patient {

    @Schema(description = "uniek BSN nummer", readOnly = true)
    private String bsnNummer;

    @Schema(description = "Naam", required = true)
    private String naam;

    @Schema(description = "Geboorte datum", required = true)
    private LocalDate geboorteDatum;

    @Schema(description = "Adres",required = true)
    private String adres;

    public String getBsnNummer() {
        return bsnNummer;
    }

    public void setBsnNummer(String bsnNummer) {
        this.bsnNummer = bsnNummer;
    }

    public String getNaam() {
        return naam;
    }

    public void setNaam(String naam) {
        this.naam = naam;
    }

    public LocalDate getGeboorteDatum() {
        return geboorteDatum;
    }

    public void setGeboorteDatum(LocalDate geboorteDatum) {
        this.geboorteDatum = geboorteDatum;
    }

    public String getAdres() {
        return adres;
    }

    public void setAdres(String adres) {
        this.adres = adres;
    }
}
