package com.example.bo;

import org.eclipse.microprofile.openapi.annotations.media.Schema;

import java.time.LocalDate;
import java.time.LocalTime;

public class Afspraak {
    @Schema(description = "unieke id", readOnly = true)
    private String id;

    @Schema(description = "datum", required = true)
    private String datum;

    @Schema(description = "tijdstip", required = true)
    private String tijd;

    @Schema(description = "locatie", required = true)
    private String locatie;

    @Schema(description = "patient", required = true)
    private String patient;

    @Schema(description = "vaccin", required = true)
    private String vaccin;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDatum() {
        return datum;
    }

    public void setDatum(String datum) {
        this.datum = datum;
    }

    public String getTijd() {
        return tijd;
    }

    public void setTijd(String tijd) {
        this.tijd = tijd;
    }

    public String getLocatie() {
        return locatie;
    }

    public void setLocatie(String locatie) {
        this.locatie = locatie;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getVaccin() {
        return vaccin;
    }

    public void setVaccin(String vaccin) {
        this.vaccin = vaccin;
    }
}
