package com.example.bo;

import org.eclipse.microprofile.openapi.annotations.media.Schema;

import java.time.LocalDate;

//links administrated vaccine with person
public class Vaccinatie {

    @Schema(description = "uniek id", readOnly = true)
    private String id;

    @Schema(description = "Lichaamsdeel waar vaccinatie is gezet", required = true)
    private String lichaamsdeel;

    @Schema(description = "datum waarop vaccinatie is gezet", required = true)
    private LocalDate datum;

    @Schema(description = "autoriteit die het certificaat afgeeft", required = true)
    private String autoriteit;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLichaamsdeel() {
        return lichaamsdeel;
    }

    public void setLichaamsdeel(String lichaamsdeel) {
        this.lichaamsdeel = lichaamsdeel;
    }

    public LocalDate getDatum() {
        return datum;
    }

    public void setDatum(LocalDate datum) {
        this.datum = datum;
    }

    public String getAutoriteit() {
        return autoriteit;
    }

    public void setAutoriteit(String autoriteit) {
        this.autoriteit = autoriteit;
    }
}
